package com.jwl.driver.server.constant;

public class ErrorCode {

    // 未定义错误编码
    public static final String UNDEFINED = "E001";
    // JSON 解析出错，请求格式不正确
    public static final String INCORRECT_JSON_FORMAT = "E002";
    // 缺少必要请求头
    public static final String MISSING_REQUIRED_HEADER = "E003";
    // 非法参数
    public static final String INVALID_PARAM = "E004";
    // 用户配置错误
    public static final String ERROR_USER_CONFIG = "E005";
    // 用户请求时间戳错误
    public static final String INVALID_REQUEST_TIME = "E006";
    // 用户签名错误
    public static final String SIGN_MISMATCH = "E007";
    // 系统内部错误
    public static final String INTERNAL_ERROR = "E500";
    // 错误/无效请求
    public static final String BAD_REQUEST = "E400";
    // 鉴权错误
    public static final String AUTH_ERROR = "E403";
    //
    public static final String CODE_ERROR = "E502";

    // 上游系统错误
    public static final String UPSTREAM_SYS_ERROR = "E501";

    // 业务异常编码，异常原因已知
    public static final String BUSINESS = "E008";

    public static final String NOT_SHOW = "NOO1";

    private ErrorCode() {
    }

}
