package com.jwl.driver.server.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SecurityUser implements Serializable {

    /**
     * 用户标识
     */
    private Long userId;

    /**
     * 用户名
     */
    private String userName;


    /**
     * 用户token
     */
    private String token;


}
