package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 车型分类;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdCar implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 车型标识
     */
    @TableId(value = "CAR_TYPE_ID", type = IdType.AUTO)
    private Integer carTypeId;

    /**
     * 车型名称
     */
    @TableField("CAR_NAME")
    private String carName;

    /**
     * 描述
     */
    @TableField("REMARK")
    private String remark;


    /**
     * 车型图片url
     */
    @TableField("IMAGE_URL")
    private String imageUrl;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;

    /**
     * 显示序号
     */
    @TableField("SHOW_ORDER")
    private Integer showOrder;


}
