package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 考场信息表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdExaminationRoom implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 考场标识
     */
    @TableId(value = "EXAMINATION_ROOM_ID", type = IdType.AUTO)
    private Integer examinationRoomId;

    /**
     * 考场名称
     */
    @TableField("EXAMINATION_ROOM_NAME")
    private String examinationRoomName;

    /**
     * 区/县
     */
    @TableField("DISTRICT")
    private String district;

    /**
     * 区/县名称
     */
    @TableField("DISTRICT_NAME")
    private String districtName;

    /**
     * 显示序号
     */
    @TableField("SHOW_ORDER")
    private Integer showOrder;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;


}
