package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 考场线路表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdExaminationRoomRoad implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 考场线路标识
     */
    @TableId(value = "RODE_ID", type = IdType.AUTO)
    private Integer rodeId;

    /**
     * 考场标识
     */
    @TableField("EXAMINATION_ROOM_ID")
    private Integer examinationRoomId;

    /**
     * 线路名称
     */
    @TableField("RODE_NAME")
    private String rodeName;

    /**
     * 车型标识
     */
    @TableField("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 线路图片
     */
    @TableField("RODE_IMG")
    private String rodeImg;

    /**
     * 线路视频链接
     */
    @TableField("RODE_VIDEO_URL")
    private String rodeVideoUrl;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;


}
