package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户会员表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdSysUserMember implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户标识
     */
    @TableId("USER_ID")
    private Long userId;

    /**
     * 会员标识
     */
    @TableField("MEMBER_ID")
    private Integer memberId;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField("UPDATE_TIME")
    private LocalDateTime updateTime;

    /**
     * 会员开始时间
     */
    @TableField("START_DATE")
    private LocalDateTime startDate;

    /**
     * 会员结束时间
     */
    @TableField("END_DATE")
    private LocalDateTime endDate;


}
