package com.jwl.driver.server.service;

import com.jwl.driver.server.dto.LoginUserDto;
import com.jwl.driver.server.entity.TdSysUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jwl.driver.server.vo.LoginUserVo;

/**
 * <p>
 * 用户表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface ITdSysUserService extends IService<TdSysUser> {

    /**
     * 用户登陆
     * @param loginUserDto
     * @return
     */
    LoginUserVo login(LoginUserDto loginUserDto);

    /**
     * 用户登出
     * @return
     */
    Boolean loginOut();
}
