package com.jwl.driver.server.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author 曹林
 * @description 登陆用户出参
 * @create 2023/8/11 22:49
 */
@ApiModel("登陆用户出参")
@Data
@Accessors(chain = true)
public class LoginUserVo {

    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String userName;

    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    private String phone;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 头像
     */
    @ApiModelProperty("头像")
    private String avatar;

    /**
     * 驾校标识
     */
    @ApiModelProperty("驾校标识")
    private Long schoolId;


    /**
     * 驾校名称
     */
    @ApiModelProperty("驾校名称")
    private String schoolName;

    /**
     * 驾校名称
     */
    @ApiModelProperty("用户token")
    private String token;


}
