package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 题型题目表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdCategoryQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题型分类
     */
    @TableId("CATEGORY")
    private String category;

    /**
     * 车型
     */
    @TableField("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 题目标识
     */
    @TableField("QUESTION_ID")
    private Long questionId;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;


}
