package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 视频标识表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdTestProjectVideos implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 视频标识
     */
    @TableId(value = "VIDEO_ID", type = IdType.AUTO)
    private Integer videoId;

    /**
     * 考试项目
     */
    @TableField("TEST_PROJECT_ID")
    private Integer testProjectId;

    /**
     * 视频图片
     */
    private String videoImage;

    /**
     * 视频链接
     */
    private String videoUrl;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;


}
