package com.jwl.driver.server.util;

import cn.hutool.core.util.StrUtil;

/**
 * 线程变量-token
 */
public class TokenThreadUtil {
    private static ThreadLocal<String> threadLocal = new ThreadLocal<>();

    public static void setToken(String token) {
        if (StrUtil.isNotBlank(token))
            threadLocal.set(token);
    }

    public static String getToken() {
        return threadLocal.get();
    }

    public static void remove() {
        threadLocal.remove();
    }
}
